/*******************************************************************/
/*                                                                 */
/*   File name :  oscillo.h                                       */
/*                                                                 */
/*      Version:   2015-10-27                                      */
/*                                                                 */
/*   Copyright (c) 2015-     T.Kondo/NICT All Right Reserved       */
/*                                                                 */
/*******************************************************************/

#include <stdio.h>
#include <signal.h> 
#include <errno.h>
#include <fcntl.h>
#include <string.h>
#include <math.h>
#include <stdlib.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>

#ifdef __CYGWIN__
#ifndef linux
#define linux
#endif
#endif

#ifdef linux
#include <sys/time.h>
#endif

#ifndef WIN32
#include <unistd.h>
#endif

#include "g_head.h"    // header for graphics

#ifdef WIN32
  #define USE_FFTW    // use FFTW package
#endif

#ifdef USE_FFTW
 #ifdef WIN32
  #include "fftw3.h"     // use of FFTW package
 #else
  #include <fftw3.h>     // use of FFTW package
 #endif
#endif

#include "libk5.h"      // common header for IP-VLBI utilities

#include "libfft.h"

#ifdef WIN32
#define USE_ASM    // use inline assemble function
#endif

#include "libvssp32.h"
#include "libspeplot.h"


typedef struct runp     // run parameters for this
{
    char fname[128];  // data file name
    char comment[60]; // comment
    double tspan;     // given display time span
    double soffset;   // start offset in floating second 
    int  mode2;        // axis mode
    int  mode;        // axis mode
    int  ymode;       //
    int amode;        // 
    int pmode;        // plot mode
    int flag_halt;
    int sleep_msec;
} runp_t;

